"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = require("@jest/globals");
const __1 = require("../");
(0, globals_1.describe)("Parse Number", () => {
    (0, globals_1.test)("Parse EN Number to FA", () => {
        (0, globals_1.expect)((0, __1.En_To_Fa)("09123456789")).toBe("۰۹۱۲۳۴۵۶۷۸۹");
    });
    (0, globals_1.test)("Parse FA Number to EN", () => {
        (0, globals_1.expect)((0, __1.Fa_To_En)("۰۹۱۲۳۴۵۶۷۸۹")).toBe("09123456789");
    });
    (0, globals_1.test)("Parse FA IP to EN", () => {
        (0, globals_1.expect)((0, __1.Fa_To_En)("۱۱۱.۱۱۱.۱۱۱.۱۱۱")).toBe("111.111.111.111");
    });
});
