"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckIdNumber = exports.IdNumberFind = void 0;
const idNumber_1 = require("../constants/idNumber");
const parser_1 = require("../parser");
const IdNumberFind = (id) => {
    id = (0, parser_1.Fa_To_En)(id.slice(0, 3));
    const findCity = idNumber_1.idNumbersByCity.find(item => item.from === id || item.to === id);
    if (findCity) {
        return { province: findCity.province, city: findCity.city };
    }
    return;
};
exports.IdNumberFind = IdNumberFind;
const CheckIdNumber = (id) => {
    const regex = /^\d{10}$/g;
    return regex.test((0, parser_1.Fa_To_En)(id));
};
exports.CheckIdNumber = CheckIdNumber;
