"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = require("@jest/globals");
const idNumber_1 = require("../idNumber");
(0, globals_1.describe)("Card", () => {
    (0, globals_1.test)("Id Number city", () => {
        (0, globals_1.expect)((0, idNumber_1.IdNumberFind)("۱۶۹")).toMatchObject({ province: "آذربایجان شرقی", city: "آذرشهر" });
    });
    (0, globals_1.test)("Id Number is valid", () => {
        (0, globals_1.expect)((0, idNumber_1.CheckIdNumber)("۱۱۲۲۳۳۴۴۵۵")).toBeTruthy();
        (0, globals_1.expect)((0, idNumber_1.CheckIdNumber)("1122334455")).toBeTruthy();
    });
});
